Download it now!
Bug 111835 - Notes view: Master Notes button on sidebar instead of Master Slide
Summary: Notes view: Master Notes button on sidebar instead of Master Slide
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Tamás Zolnai
URL:
Whiteboard: target:6.0.0
Keywords: difficultyBeginner, easyHack, skillCpp
Depends on:
Blocks: Sidebar-Properties Notes-View
  Show dependency treegraph
 
Reported: 2017-08-16 00:31 UTC by Tamás Zolnai
Modified: 2017-11-11 21:07 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-16 00:31:07 UTC
Description:
We have a Master Slide / Close Master Slide button on sidebar in Impress. It would be good if we can change the text and the functionality in notes view that this button switches between Master Notes and Notes view instead.

Steps to Reproduce:
1. Open Impress
2. Switch to Notes view (View ->Notes)
3. Check the label and functionality of Master Slide / Close Master Slide button

Actual Results:  
The button on sidebar has a text "Master Slide" and when clicking on it the view is changed to Master Slide. When we have in master notes view the button shows Close Master View and clicking on it switches to Notes view.

Expected Results:
Button should have a label of "Master Notes" when in Notes view and the button should switch between Notes and Master Notes view.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Xisco Faulí 2017-08-16 00:37:50 UTC
Confirmed in

Version: 6.0.0.0.alpha0+
Build ID: ef2e6260fad38e26c8591ea88ded348db618270d
CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group

Similar to bug 106679

@pv2k, feel like working on this one?
Comment 2 Tamás Zolnai 2017-08-16 00:48:05 UTC
(In reply to Xisco Faulí from comment #1)
> Confirmed in
> 
> Version: 6.0.0.0.alpha0+
> Build ID: ef2e6260fad38e26c8591ea88ded348db618270d
> CPU threads: 4; OS: Linux 4.10; UI render: default; VCL: gtk3; 
> Locale: ca-ES (ca_ES.UTF-8); Calc: group
> 
> Similar to bug 106679
> 
> @pv2k, feel like working on this one?

@pv2k Good, I see you are familiar with the code, so would be good to have you here if you have time for that. I also reported an other issue related this button on handout view, there it can be hidden I think (tdf#111826).
Comment 3 Tamás Zolnai 2017-08-24 17:35:13 UTC
Let's turn this into an easy hack. The code is here:
sd/source/ui/sidebar/SlideBackground.cxx
SlideBackground::HandleContextChange() method might be a good starting point.
Comment 4 Commit Notification 2017-11-11 21:06:55 UTC
Tamás Zolnai committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4c656c82ccdaa47cf447dfff4147b339b44ea8c1

tdf#111835: Hide Master slide / close master slide button in notes view

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.